Name:           python-girder-dicom-viewer
Version:        3.2.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        View DICOM images in the browser

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://girder.readthedocs.io/en/latest/plugins.html#dicom-viewer
Source:         %{pypi_source girder_dicom_viewer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'girder-dicom-viewer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-girder-dicom-viewer
Summary:        %{summary}

%description -n python3-girder-dicom-viewer %_description


%prep
%autosetup -p1 -n girder_dicom_viewer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-girder-dicom-viewer -f %{pyproject_files}


%changelog
%autochangelog